## cron-silencer 1.4.2.1

=== Makefile ===

APPNAME=cron-silencer
VERSION=1.4.2.1
CFGDIR=$(DESTDIR)/etc/$(APPNAME).d
BINDIR=$(DESTDIR)/usr/bin
RUNDIR=$(DESTDIR)/var/lib/$(APPNAME)
DOCDIR=$(DESTDIR)/usr/share/doc/$(APPNAME)
MAN1DIR=$(DESTDIR)/usr/share/man/man1
MAN2DIR=$(DESTDIR)/usr/share/man/man2
MAN3DIR=$(DESTDIR)/usr/share/man/man3
MAN4DIR=$(DESTDIR)/usr/share/man/man4
MAN5DIR=$(DESTDIR)/usr/share/man/man5
MAN6DIR=$(DESTDIR)/usr/share/man/man6
MAN7DIR=$(DESTDIR)/usr/share/man/man7
MAN8DIR=$(DESTDIR)/usr/share/man/man8

all:

install: 
	# [ -e bin/$(APPNAME)       ] && install -d $(BINDIR)  && install -m755 bin/$(APPNAME)       $(BINDIR)  || true
	# [ -e docs/$(APPNAME).1    ] && install -d $(MAN1DIR) && install -m644 docs/$(APPNAME).1    $(MAN1DIR) || true
	[ -e bin/$(APPNAME)       ] && make install-bin  || true
	[ -e docs/$(APPNAME).sgml ] && make install-sgml || true
	[ -e docs/$(APPNAME).html ] && make install-html || true
	[ -e docs/$(APPNAME).1    ] && make install-man1 || true
	[ -e docs/$(APPNAME).2    ] && make install-man2 || true
	[ -e docs/$(APPNAME).3    ] && make install-man3 || true
	[ -e docs/$(APPNAME).4    ] && make install-man4 || true
	[ -e docs/$(APPNAME).5    ] && make install-man5 || true
	[ -e docs/$(APPNAME).6    ] && make install-man6 || true
	[ -e docs/$(APPNAME).7    ] && make install-man7 || true
	[ -e docs/$(APPNAME).8    ] && make install-man8 || true
	[ -e etc/$(APPNAME).d     ] && make install-etc  || true
	[ -e docs/copyright       ] && make install-copy || true

install-bin: bin/$(APPNAME)
	install -d $(BINDIR)
	install -m755 bin/$(APPNAME)        $(BINDIR)

install-sgml: docs/$(APPNAME).sgml
	make docs
	install -d $(DOCDIR)
	install -m644 docs/$(APPNAME).sgml  $(DOCDIR)

install-html: docs/$(APPNAME).html
	install -d $(DOCDIR)
	install -m644 docs/$(APPNAME).html  $(DOCDIR)

install-copy: docs/$(APPNAME).copy
	install -d $(DOCDIR)
	install -m644 docs/$(APPNAME).copy  $(DOCDIR)

install-man1: docs/$(APPNAME).1
	install -d $(MAN1DIR)
	install -m644 docs/$(APPNAME).1     $(MAN1DIR)

install-man2: docs/$(APPNAME).2
	install -d $(MAN2DIR)
	install -m644 docs/$(APPNAME).2     $(MAN2DIR)

install-man3: docs/$(APPNAME).3
	install -d $(MAN3DIR)
	install -m644 docs/$(APPNAME).3     $(MAN3DIR)

install-man4: docs/$(APPNAME).4
	install -d $(MAN4DIR)
	install -m644 docs/$(APPNAME).4     $(MAN4DIR)

install-man5: docs/$(APPNAME).5
	install -d $(MAN5DIR)
	install -m644 docs/$(APPNAME).5     $(MAN5DIR)

install-man6: docs/$(APPNAME).6
	install -d $(MAN6DIR)
	install -m644 docs/$(APPNAME).6     $(MAN6DIR)

install-man7: docs/$(APPNAME).7
	install -d $(MAN7DIR)
	install -m644 docs/$(APPNAME).7     $(MAN7DIR)

install-man8: docs/$(APPNAME).8
	install -d $(MAN8DIR)
	install -m644 docs/$(APPNAME).8     $(MAN8DIR)

install-etc: etc/$(APPNAME).d
	install -d $(CFGDIR)
	install -m644 etc/$(APPNAME).d/.placeholder $(CFGDIR)

clean:

docs:  docs/$(APPNAME).sgml docs/$(APPNAME).html docs/$(APPNAME).1

docs/$(APPNAME).html: docs/$(APPNAME).sgml
	docbook2html docs/$(APPNAME).sgml --output docs
	mv docs/index.html docs/$(APPNAME).html
	echo >> docs/$(APPNAME).html

docs/$(APPNAME).1: docs/$(APPNAME).sgml
	docbook2man docs/$(APPNAME).sgml --output docs
	[ -f docs/$(APPNAME).SECTION ] && mv docs/$(APPNAME).SECTION docs/$(APPNAME).1 || true
	# gzip -9 docs/docs/$(APPNAME).1
	rm -f docs/manpage.links docs/manpage.refs

commit:
	svn ci -m 'update file content'

debian-dpkg: debian
	dpkg-buildpackage -sa -rfakeroot -tc

debian-prepkg: debian
	#cp etc/$(APPNAME).crontab debian/cron.d
	echo -n > debian/conffiles
	echo etc/$(APPNAME).d/.placeholder >> debian/conffiles
	#echo $(CFGDIR)/$(APPNAME).hosts >> debian/conffiles
	rm -rf debian/cron.d.ex debian/init.d.ex debian/menu.ex
	rm -rf debian/manpage.sgml.ex debian/cron.d.ex
	rm -rf debian/emacsen-remove.ex debian/manpage.1.ex prerm.ex
	rm -rf debian/emacsen-install.ex debian/emacsen-startup.ex
	rm -rf debian/preinst.ex debian/watch.ex debian/conffiles.ex
	rm -rf debian/postinst.ex debian/postrm.ex debian/prerm.ex

debian-upload: 
	# write login:password to ~/.debianrepositoryauth
	curl -u `cat $(HOME)/.debianrepositoryauth` -v http://ftp.lihas.de/cgi-bin/newpackage -F B1="Datei hochladen" -F uploaded_file=@../cron-silencer_$(VERSION)_all.deb

=== debian/changelog ===
cron-silencer (1.4.2.1) unstable; urgency=low

  * bug fix: debug message disabled

 -- LiHAS <support@lihas.de>  Tue, 03 Jan 2012 14:25:44 +0100

cron-silencer (1.4.2) unstable; urgency=low

  * allowed but limited occurences of a pattern report pattern source now

 -- LiHAS <support@lihas.de>  Tue, 03 Jan 2012 14:19:07 +0100

cron-silencer (1.4.1) unstable; urgency=low

  * allowed but limited occurences of a pattern report threshold now

 -- LiHAS <support@lihas.de>  Tue, 03 Jan 2012 13:16:30 +0100

cron-silencer (1.4) unstable; urgency=low

  * added option "-m" to ignore email headers
  * added option "-M" to echo email headers on stdout
  * fixed bug which caused rules given to "-F" being ignored if no "-f" parameter was set

 -- LiHAS <support@lihas.de>  Sat, 31 Dec 2011 14:09:11 +0100

cron-silencer (1.3.7) unstable; urgency=low

  * ruleset "darbackup" added

 -- LiHAS <support@lihas.de>  Wed, 28 Dec 2011 19:03:21 +0100

cron-silencer (1.3.6) unstable; urgency=low

  * ruleset "mysql-zrm": dbnames allow for 'A-Z'

 -- LiHAS <support@lihas.de>  Mon, 19 Dec 2011 19:41:11 +0100

cron-silencer (1.3.5) unstable; urgency=low

  * ruleset "mysql-zrm": dbnames allow for '_'
  * ruleset "mysql-zrm": pattern *INFO: 100 -> 120

 -- LiHAS <support@lihas.de>  Mon, 19 Dec 2011 18:33:13 +0100

cron-silencer (1.3.4) unstable; urgency=low

  * ruleset "mysql-zrm": pattern "k = path" added
  * ruleset "mysql-zrm": dbnames allow for '-'
  * ruleset "mysql-zrm": pattern "k = path",  "src = path" may appear 3 times
  * ruleset "bacula" added

 -- LiHAS <support@lihas.de>  Mon, 19 Dec 2011 15:31:14 +0100

cron-silencer (1.3.3) unstable; urgency=low

  * ruleset "ntpdate" added

 -- LiHAS <support@lihas.de>  Thu, 24 Nov 2011 17:27:33 +0100

cron-silencer (1.3.2) unstable; urgency=low

  * sophos pattern extended

 -- LiHAS <support@lihas.de>  Mon, 07 Mar 2011 16:02:41 +0100

cron-silencer (1.3.1) unstable; urgency=low

  * bug in external rule parser fixed
  * bug in online-help fixed

 -- LiHAS <support@lihas.de>  Mon, 07 Mar 2011 15:32:41 +0100

cron-silencer (1.3.0) unstable; urgency=low

  * exerne rulsets abgebbar

 -- LiHAS <support@lihas.de>  Thu, 24 Feb 2011 14:24:32 +0100

cron-silencer (1.2.2) unstable; urgency=low

  * mysql-zrm pattern extended

 -- LiHAS <support@lihas.de>  Thu, 10 Feb 2011 18:04:14 +0100

cron-silencer (1.2.1) unstable; urgency=low

  * mysql-zrm config-name extended

 -- LiHAS <support@lihas.de>  Tue, 18 Jan 2011 14:21:26 +0100

cron-silencer (1.2) unstable; urgency=low

  * spamassassin/bayes sync. ruleset added

 -- LiHAS <support@lihas.de>  Mon, 13 Dec 2010 19:30:22 +0100

cron-silencer (1.1) unstable; urgency=low

  * webalizer ruleset added

 -- LiHAS <support@lihas.de>  Mon, 13 Dec 2010 15:47:51 +0100

cron-silencer (1.0) unstable; urgency=low

  * Initial Release.

 -- LiHAS <support@lihas.de>  Wed, 08 Dec 2010 15:40:47 +0100

=== debian/control ===
Source: cron-silencer
Section: unknown
Priority: extra
Maintainer: LiHAS <support@lihas.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://lihas.de/

Package: cron-silencer
Architecture: all
Depends: perl (>= 5.6)
Description: filters out lines from cron job outputs
 Some stupid cron jobs throw around useless messages.
 Just pipe them through cron-silencer to shut them up.
 C. filters out well-known lines and only if there are 
 unknown ones (presumably errors) you get the full message,
 with the incriminated line marked.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/cron-silencer.sgml > cron-silencer.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/cron-silencer.
	$(MAKE) DESTDIR=$(CURDIR)/debian/cron-silencer install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cron-silencer 1.4.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 APPNAME=cron-silencer
-VERSION=1.4.2.1
+VERSION=1.4.13
 CFGDIR=$(DESTDIR)/etc/$(APPNAME).d
 BINDIR=$(DESTDIR)/usr/bin
 RUNDIR=$(DESTDIR)/var/lib/$(APPNAME)

=== debian/changelog ===
cron-silencer (1.4.13) unstable; urgency=low

  * extended ruleset "mysql-zrm":
    * tar changed argument processing processing, error affects master/slave backups (only)
      * tar: --same-order option cannot be used with -c
      * Try 'tar --help' or 'tar --usage' for more information.
    * Slave.*started
	* #mysql50#lost+found (occurs on mariadb)

 -- LiHAS <support@lihas.de>  Tue, 28 Jun 2016 13:23:30 +0200

cron-silencer (1.4.12) unstable; urgency=low

  * added ruleset "exim201603" for https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=818349

 -- LiHAS <support@lihas.de>  Sat, 26 Mar 2016 10:16:22 +0100

cron-silencer (1.4.11) unstable; urgency=low

  * added for mysql-zrm 3.0.0:
  *  /^Backup set=/                             => 1
  *  /^Backup date=/                            => 1
  *  /^Backup level=\d+$/                       => 1
  *  /^Logical Databases=([a-zA-Z0-9-+_]+ )*$/  => 1
  *  /^Backup size=\d+\.\d+ [kKMG]B$/           => 1
  *  /^Backup time=\d\d:\d\d:\d\d$/             => 1
  *  /^Backup status=Backup succeeded$/         => 1
  * typo in cron-silencer.sgml fixed

 -- LiHAS <support@lihas.de>  Mon, 24 Aug 2015 13:48:13 +0200

cron-silencer (1.4.10) unstable; urgency=low

  * added rulset "kprop" (kerberos replication)
  * added filter file rule examples

 -- LiHAS <support@lihas.de>  Fri, 12 Jun 2015 13:07:34 +0200

cron-silencer (1.4.9) unstable; urgency=low

  * added f. rsync-rsnapshot: "[sender=" ...

 -- LiHAS <support@lihas.de>  Tue, 21 Apr 2015 14:58:36 +0200

cron-silencer (1.4.8) unstable; urgency=low

  * added f. mysql-zrm 3.0.0:
  *  /^0 0$/  => 1
  *  /^logical-parallel=0$/ => 1

 -- LiHAS <support@lihas.de>  Thu, 19 Feb 2015 14:52:57 +0100

cron-silencer (1.4.7) unstable; urgency=low

  * f. rsync-rsnapshot, rsnapshot-backup: changed "at main.c(1526)" to "at main.c(\d+)"

 -- LiHAS <support@lihas.de>  Mon, 26 Aug 2013 12:22:34 +0200

cron-silencer (1.4.6) unstable; urgency=low

  * ruleset "rsnapshot-backup" added
  * f. rsync-rsnapshot: added "at main.c(1526)"

 -- LiHAS <support@lihas.de>  Mon, 22 Jul 2013 14:27:31 +0200

cron-silencer (1.4.5) unstable; urgency=low

  * added '-b' to echo email body to output
  * added '-e' to set errorcode to 1 if any errors were found (default: 0)
  * added '-s' to prefix email-subject with '[cserr]' if any errors were found (default: no prefix)

 -- LiHAS <support@lihas.de>  Tue, 17 Jan 2012 16:55:45 +0100

cron-silencer (1.4.4) unstable; urgency=low

  * ruleset "mysqloptimize" added

 -- LiHAS <support@lihas.de>  Wed, 11 Jan 2012 16:33:06 +0100

cron-silencer (1.4.3) unstable; urgency=low

  * added '-A' to report all unrecognized lines, not only the first one.

 -- LiHAS <support@lihas.de>  Sun, 08 Jan 2012 12:11:04 +0100
